%define momorel 3

Summary: get a file from a FTP, GOPHER or HTTP server.
Name: curl
Version: 7.10.5
Release: %{momorel}m
License: MIT/X
Group: Applications/Communications
URL: http://curl.haxx.se/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: openssl
BuildPreReq: openssl-devel

Source: http://curl.haxx.se/download/curl-%{version}.tar.bz2
NoSource: 0

%description
curl is a client to get documents/files from servers, using
any of the supported protocols. The command is designed to
work without user interaction or any kind of interactivity.
curl offers a busload of useful tricks like proxy support,
user authentication, ftp upload, HTTP post, file transfer
resume and more.

%package devel
Summary: The includes, libs, and man pages to develop with libcurl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libcurl is the core engine of curl; this packages contains
all the libs, headers, and manual pages to develop applications
using libcurl.

%prep
%setup -q
%build

(if [ -f configure.in ]; then mv -f configure.in configure.in.rpm; fi)
%configure \
%if %{_ipv6}
    --enable-ipv6
%else
    --disable-ipv6
%endif

(if [ -f configure.in.rpm ]; then mv -f configure.in.rpm configure.in; fi)
make %{?_smp_mflags} || make

%install

rm -rf %{buildroot}
make DESTDIR=%{buildroot} install-strip

chmod -x tests/*.pl

# remove
rm -rf %{buildroot}%{_datadir}/curl

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl
%attr(0644,root,root) %{_mandir}/man1/curl.1*
%{_libdir}/libcurl.so.*
%doc CHANGES
%doc COPYING
%doc SSLCERTS
%doc README
%doc docs/{BINDINGS,BUGS,CONTRIBUTE,FAQ,FEATURES,HISTORY,INSTALL,INTERNALS,KNOWN_BUGS,MANUAL,RESOURCES,THANKS,TODO,TheArtOfHttpScripting,VERSIONS}
%doc tests

%files devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl-config
%attr(0644,root,root) %{_mandir}/man1/curl-config.1*
%attr(0644,root,root) %{_mandir}/man3/*
%{_includedir}/curl
%{_libdir}/libcurl.so
%{_libdir}/libcurl.a
%{_libdir}/libcurl.la
%doc docs/examples/*

%changelog
* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (7.10.5-3m)
- revised spec for enabling rpm 4.2.

* Fri Oct 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.10.5-2m)
- change License: to MIT/X

* Tue Jul  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (7.10.5-1m)
- minor bugfixes

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (7.10.2-3m)
  rebuild against openssl 0.9.7a

* Fri Jan 10 2003 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.10.2-2m)
- Fix License and doc files 

* Fri Jan 10 2003 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.10.2-1m)
- update to 7.10.2

* Thu Aug 1 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.9.8-1m)
- update to 7.9.8

* Mon May 20 2002 Masaru Sato <masachan@kondara.org>
- (7.9.7-2k)
- update to 7.9.7

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (7.9.6-2k)
- update to 7.9.6

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (7.9.5-2k)
- update to 7.9.5

* Tue Dec 25 2001 Masaru Sato <masachan@kondara.org>
- (7.9.2-2k)
- up to 7.9.2

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (7.9-8k)
- No docs could be excutable :-p

* Tue Nov 27 2001 Motonobu Ichimura <famao@kondara.org>
- (7.9-6k)
- bug fixed

* Mon Oct  8 2001 Masaru Sato <masachan@kondara.org>
- (7.9-2k)
- Initial Release from curl offical rpm.

